Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FSDK.SecurityHandler Class Reference

## Public Member Functions
| constructor ()
| Constructor.
| GetSecurityType ()
| Get the encryption type of current security handler. More...
| IsEmpty ()
| Check whether current object is empty or not. More...

## Static Public Attributes
static | e_CipherAES
| Use AES encryption algorithm, with the key length be 16 bytes (as AES-128) or 32 bytes (as AES-256, only supported in PDF 2.0).
static | e_CipherNone
| Enumeration for Encryption Algorithm. More...
static | e_CipherRC4
| Use RC4 encryption algorithm, with the key length between 5 bytes and 16 bytes.

## Detailed Description

Class FSDK.SecurityHandler is the base class that represents a security hander used for encrypting PDF document. It has following derived classes:

- Class FSDK.StdSecurityHandler is used for password encryption.
- Class FSDK.CertificateSecurityHandler is used for certificate encryption.
- Class FSDK.DRMSecurityHandler is used for DRM encryption.
- Class FSDK.CustomSecurityHandler is used for custom encryption.
- Class FSDK.RMSSecurityHandler is used for RMS encryption.

To set a security handler to a PDF document, please call function FSDK.PDFDoc.SetSecurityHandler, then the security handler will take effect in later saving process. To get the security handler used for a PDF document, please call function FSDK.PDFDoc.SetSecurityHandler.

See also
  FSDK.StdSecurityHandler
  FSDK.CertificateSecurityHandler
  FSDK.DRMSecurityHandler
  FSDK.CustomSecurityHandler
  FSDK.RMSSecurityHandler
  FSDK.PDFDoc

## Member Function Documentation

## ◆ GetSecurityType()

FSDK.SecurityHandler.GetSecurityType | ( |  | ) |

Get the encryption type of current security handler.

Returns
  The encryption type. If current security handler object does not represent any specified type of security handler, it would return FSDK.PDFDoc.e_EncryptUnknown.

## ◆ IsEmpty()

FSDK.SecurityHandler.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## Member Data Documentation

## ◆ e_CipherNone

FSDK.SecurityHandler.e_CipherNone
| static

Enumeration for Encryption Algorithm.

Values of this enumeration should be used alone.

Not use encryption algorithm.